Page MenuHomePhabricator

Results "jump" after load in RCFilters in Watchlist
Closed, ResolvedPublic

Description

The watchlist area "jumps" after load. This happens because the welcome string doesn't take into account that there will be a button there, and when the button appears it squishes the text and make it jump to more lines than before, hence moving the results down and causing a "jump".

The commit fixes that by constraining the width of the text to accommodate the button in most languages. The button translations should at least attempt to now make the button text too long.

Event Timeline

Mooeypoo created this task.Jun 20 2018, 9:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2018, 9:45 PM

Change 441310 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Readjust welcome text so results don't jump after load

https://gerrit.wikimedia.org/r/441310

Change 441310 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Readjust welcome text so results don't jump after load

https://gerrit.wikimedia.org/r/441310

Checked in betalabs - the "jumpiness" is gone.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Jun 25 2018, 5:24 PM
Vvjjkkii renamed this task from Results "jump" after load in RCFilters in Watchlist to yjaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Mooeypoo as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from yjaaaaaaaa to Results "jump" after load in RCFilters in Watchlist.Jul 2 2018, 8:29 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Mooeypoo.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.